2014.04.29

윈도우 XP의 영원한 제로데이 첫 발생, 이에 대처하는 한미 양국과 전문가의 방안

이대영 기자 | ITWorld
인터넷 익스플로러(IE)에 대한 신규 취약점이 공개되고 마이크로소프트가 보안 업데이트를 하기까지 제로데이가 발생했다.

특히 윈도우 XP 사용자의 경우 보안 업데이트가 제공되지 않기 때문에 IE를 사용하지 말고 크롬이나 파이어폭스, 사파리와 같은 다른 브라우저를 사용해야 한다.

해당 취약점에 영향을 받는 버전은 IE6, IE7, IE8, IE9, IE10 그리고 IE11로, IE 전체에 해당한다.

한국인터넷진흥원은 MS 인터넷 익스플로러 신규 취약점과 관련해 사용자의 각별한 주의를 당부해으며, 특히 윈도 XP 사용자는 IE를 사용하지 말 것을 권고했다.

또한 현재 보안 업데이트가 제공되지 않아 위험성이 높은 상태이기 때문에 보안 업데이트가 나오기까지는 다른 인터넷 브라우저(구글 크롬, 파이어폭스, 사파리 등)를 사용하고, MS 보안 업데이트 제공 시에 이를 반드시 적용해야 한다고 전했다.

KISA는 공격에 악용된 악성코드가 입수되면 전용백신을 제작해 보급할 계획이다.

반면 미국 국토안보부 산하 US-CERT는 IE를 사용하지 말 것을 권유했다.

또한 보안 패치 전까지 마이크로소프트의 취약점 공격 방지 유틸리티인 EMET(Enhanced Mitigation Experience Toolkit)가 애플리케이션 선택에 보안을 강화해 줄 것이지만 XP 사용자가 사용하는 IE 버전인 6~8까지는 패치를 받지 못하기 때문에 이번 취약점에 완전히 노출된 것이라고 설명했다.

US-CERT는 사용자나 관리자들은 가능한 한 마이크로소프트 EMET를 사용하고, 마이크로소프트의 공식적인 업데이트가 있기까지 다른 웹 브라우저를 사용하라고 권고했다.

보안 전문가들은 "예상했던 일"이라고 입을 모았다.

빛스캔 전상훈 이사는 "운영체제에서 업데이트가 이루어지지 않는다면 앞으로 발견되는 새로운 취약점에 대해서는 무방비 상태로 남을 수 밖에 없다. 특히 패치가 제공되지 않는 XP 운영체제를 사용하는 곳에서는 인터넷 이용을 제한하는 것이 거의 유일한 대책이라 할 수 있다"고 말했다.

또한 "IE에 관련된 취약점은 웹 서핑만으로도 감염되는 공격에 매우 자주 이용되는 취약점이기 때문에 패치없이 웹서핑을 하는 것은 아주 위험한 행위라 할 수 있다. 이같은 상황은 시간이 지날수록 더욱 심해질 것"이라고 덧붙였다.

퀄리스 CTO 울프강 칸덱은 "윈도우 XP 지원 중단 이후 사용자를 표적으로 한 해커들이 등장할 것이라는 것은 예상된 일이지만 예상했던 것보다 조금 빨리 발생했다"며, "패치를 받기 전까지 최선의 방어 방법은 DLL 등록을 취소하는 것"이라고 말했다.

칸덱은 'vgx.dll' 파일을 등록 취소하라는 근거를 마이크로소프트가 암시한 것이라고 말했다. 이 .dll(dynamic-link library)은 윈도우에서 VML(vector markup language)을 만드는 모듈 가운데 하나다.

칸덱은 "VML은 웹에서는 거의 사용하지 않는다. 그래서 IE에서 이를 없애는 것이 취약점 악용을 막는 최선의 방안"이라고 설명했다.

vgx.dll 등록을 취소하라는 지시는 IE 취약점을 위한 마이크로소프트의 보안 경고에서 발견할 수 있다.

US-CERT는 드물게 브라우저를 바꾸라고 권고하곤 한다. 예를 들어 지난 달에도 US-CERT는 윈도우 XP 사용자들이 IE를 사용하지 않는다면 좀더 안전할 것이라고 말했다.

구글의 크롬과 모질라의 파이어폭스는 윈도우 XP에서 실행할 수 있으며, 이 브라우저들은 적어도 2015년 4월까지 보안 패치를 받을 수 있다. editor@itworld.co.kr


2014.04.29

윈도우 XP의 영원한 제로데이 첫 발생, 이에 대처하는 한미 양국과 전문가의 방안

이대영 기자 | ITWorld
인터넷 익스플로러(IE)에 대한 신규 취약점이 공개되고 마이크로소프트가 보안 업데이트를 하기까지 제로데이가 발생했다.

특히 윈도우 XP 사용자의 경우 보안 업데이트가 제공되지 않기 때문에 IE를 사용하지 말고 크롬이나 파이어폭스, 사파리와 같은 다른 브라우저를 사용해야 한다.

해당 취약점에 영향을 받는 버전은 IE6, IE7, IE8, IE9, IE10 그리고 IE11로, IE 전체에 해당한다.

한국인터넷진흥원은 MS 인터넷 익스플로러 신규 취약점과 관련해 사용자의 각별한 주의를 당부해으며, 특히 윈도 XP 사용자는 IE를 사용하지 말 것을 권고했다.

또한 현재 보안 업데이트가 제공되지 않아 위험성이 높은 상태이기 때문에 보안 업데이트가 나오기까지는 다른 인터넷 브라우저(구글 크롬, 파이어폭스, 사파리 등)를 사용하고, MS 보안 업데이트 제공 시에 이를 반드시 적용해야 한다고 전했다.

KISA는 공격에 악용된 악성코드가 입수되면 전용백신을 제작해 보급할 계획이다.

반면 미국 국토안보부 산하 US-CERT는 IE를 사용하지 말 것을 권유했다.

또한 보안 패치 전까지 마이크로소프트의 취약점 공격 방지 유틸리티인 EMET(Enhanced Mitigation Experience Toolkit)가 애플리케이션 선택에 보안을 강화해 줄 것이지만 XP 사용자가 사용하는 IE 버전인 6~8까지는 패치를 받지 못하기 때문에 이번 취약점에 완전히 노출된 것이라고 설명했다.

US-CERT는 사용자나 관리자들은 가능한 한 마이크로소프트 EMET를 사용하고, 마이크로소프트의 공식적인 업데이트가 있기까지 다른 웹 브라우저를 사용하라고 권고했다.

보안 전문가들은 "예상했던 일"이라고 입을 모았다.

빛스캔 전상훈 이사는 "운영체제에서 업데이트가 이루어지지 않는다면 앞으로 발견되는 새로운 취약점에 대해서는 무방비 상태로 남을 수 밖에 없다. 특히 패치가 제공되지 않는 XP 운영체제를 사용하는 곳에서는 인터넷 이용을 제한하는 것이 거의 유일한 대책이라 할 수 있다"고 말했다.

또한 "IE에 관련된 취약점은 웹 서핑만으로도 감염되는 공격에 매우 자주 이용되는 취약점이기 때문에 패치없이 웹서핑을 하는 것은 아주 위험한 행위라 할 수 있다. 이같은 상황은 시간이 지날수록 더욱 심해질 것"이라고 덧붙였다.

퀄리스 CTO 울프강 칸덱은 "윈도우 XP 지원 중단 이후 사용자를 표적으로 한 해커들이 등장할 것이라는 것은 예상된 일이지만 예상했던 것보다 조금 빨리 발생했다"며, "패치를 받기 전까지 최선의 방어 방법은 DLL 등록을 취소하는 것"이라고 말했다.

칸덱은 'vgx.dll' 파일을 등록 취소하라는 근거를 마이크로소프트가 암시한 것이라고 말했다. 이 .dll(dynamic-link library)은 윈도우에서 VML(vector markup language)을 만드는 모듈 가운데 하나다.

칸덱은 "VML은 웹에서는 거의 사용하지 않는다. 그래서 IE에서 이를 없애는 것이 취약점 악용을 막는 최선의 방안"이라고 설명했다.

vgx.dll 등록을 취소하라는 지시는 IE 취약점을 위한 마이크로소프트의 보안 경고에서 발견할 수 있다.

US-CERT는 드물게 브라우저를 바꾸라고 권고하곤 한다. 예를 들어 지난 달에도 US-CERT는 윈도우 XP 사용자들이 IE를 사용하지 않는다면 좀더 안전할 것이라고 말했다.

구글의 크롬과 모질라의 파이어폭스는 윈도우 XP에서 실행할 수 있으며, 이 브라우저들은 적어도 2015년 4월까지 보안 패치를 받을 수 있다. editor@itworld.co.kr


X